Lua Framework by chaolunner - 5

Frameworks

A framework allows you to do whatever you want with Lua.

Unity 2018.3.10f1Unknown LicenseUpdated 11 days agoCreated on June 19th, 2019
Go to source

LuaFramework

Created by chaolun

Requirements

How to Start

  • Download Visual Studio Code

  • Ignore unity files and add support for .lua.txt format

    Click Edit in settings.json.

    Add the following JSON to your workspace settings.

    {
      "files.exclude": {
          "**/.git": true,
          "**/.DS_Store": true,
          "**/*.meta": true,
          "**/*.*.meta": true,
          "**/*.unity": true,
          "**/*.unityproj": true,
          "**/*.mat": true,
          "**/*.fbx": true,
          "**/*.FBX": true,
          "**/*.tga": true,
          "**/*.cubemap": true,
          "**/*.prefab": true,
          "**/Library": true,
          "**/ProjectSettings": true,
          "**/Temp": true
      },
      "files.associations": {
          "*.lua.bytes": "lua",
          "*.lua.txt": "lua"
      }
    }
    

  • Install Lua plugin (choose one)

    • Install EmmyLua (free)。

    • Install luaide (vscode extensions - paid, github - free)

Reference

Show all projects by chaolunner